<?php
namespace App\Enums;

enum VacancyType: string
{
    case FullTime = 'full-time';
    case PartTime = 'part-time';
    case Internship = 'internship';

    public function label(): string
    {
        return match ($this) {
            self::FullTime => 'Tempo Integral',
            self::PartTime => 'Tempo Parcial',
            self::Internship => 'Estágio',
        };
    }
}
